For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet all strategies
      • POSTCreate a strategy
      • GETGet a strategy definition
      • PUTUpdate a strategy type
      • DELDelete a strategy
      • POSTDeprecate a strategy
      • POSTReactivate a strategy
      • GETGet strategies that use a context field
      • GET[BETA] Get strategies that use a context field
      • POSTUpdate strategy segments

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIStrategies

Get a strategy definition

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/strategies/:name
GET
/api/admin/strategies/:name
$curl https://app.unleash-instance.example.com/api/admin/strategies/name \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "name": "flexibleRollout",
3 "displayName": "Gradual Rollout",
4 "description": "Gradual rollout to logged in users",
5 "editable": true,
6 "deprecated": true,
7 "parameters": [
8 {
9 "name": "percentage",
10 "type": "percentage",
11 "description": "Gradual rollout to logged in users",
12 "required": true
13 }
14 ],
15 "title": "GradualRollout - Prod25"
16}
Retrieves the definition of the strategy specified in the URL
Was this page helpful?
Previous

Update a strategy type

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

namestringRequired

Response

strategySchema
namestring

The name (type) of the strategy

displayNamestring or null
A human friendly name for the strategy
descriptionstring or null
A short description of the strategy
editableboolean
Whether the strategy can be edited or not. Strategies bundled with Unleash cannot be edited.
deprecatedboolean
parameterslist of objects
A list of relevant parameters for each strategy
titlestring or null
An optional title for the strategy

Errors

401
Unauthorized Error
404
Not Found Error